%define	upstream_name	 Catalyst-Plugin-Authorization-Roles
%define upstream_version 0.09

%global __requires_exclude perl\\(A

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Role based authorization for Catalyst based on Catalyst::Plugin::Authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Plugin::Authentication) >= 0.100.30
BuildRequires: perl(Catalyst::Runtime) >= 5.700.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Set::Object) >= 1.140.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::isa) >= 0.50.0
BuildArch:  noarch

%description
Role based access control is very simple: every user has a list of
roles, which that user is allowed to assume, and every restricted part
of the app makes an assertion about the necessary roles.

If the user is a member in all of the required roles access is
granted. Otherwise, access is denied.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL installdirs=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.90.0-12.mga10
+ Revision: 2203496
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.90.0-11.mga9
+ Revision: 1808458
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-10.mga8
+ Revision: 1503523
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.90.0-9.mga7
+ Revision: 1282186
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.90.0-8.mga7
+ Revision: 1167791
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-7.mga6
+ Revision: 1023262
- Rebuild for perl 5.22.2

* Sat Jan 30 2016 umeabot <umeabot> 0.90.0-6.mga6
+ Revision: 929081
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 744906
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 509752
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 363957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 106516
- update to 0.09

* Wed Jan 26 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 41248
- mageia rebuild
- imported package perl-Catalyst-Plugin-Authorization-Roles

